complexType "MaturityNotification"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 3 attributes, 11 elements
Defined: | globally in fpml-confirmation-processes-5-3.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
fpmlVersion | = | xsd:token
expectedBuild | = | xsd:positiveInteger
actualBuild | = | "2"
| >
Content: | header, validation*, isCorrection, (parentCorrelationId?, correlationId, sequenceNumber)?, onBehalfOf?, (optionExpiry | tradeMaturity), party+, account*
</...>

Content Model Elements (11):

  account,
  correlationId,
  header (defined in RequestMessage complexType),
  isCorrection (defined in CorrectableRequestMessage complexType),
  onBehalfOf (defined in OnBehalfOf.model group),
  optionExpiry (in maturityNotification),
  parentCorrelationId,
  party,
  sequenceNumber (defined in Sequence.model group),
  tradeMaturity (in maturityNotification),
  validation

All Direct / Indirect Based Elements (1):

  maturityNotification

Known Usage Locations

- As direct type of elements (1):
  maturityNotification

Annotation
A message used to notify another party that a trade has matured. This can be used to report, for example, that a swap has passed its final payment and can be removed, or that an option has expired without being executed.
Type Definition Detail

Type Derivation Tree Document (extension) Message (extension) RequestMessage (extension) CorrectableRequestMessage (extension) MaturityNotification

XML Source (w/o annotations (1); see within schema source)

<xsd:complexType name="MaturityNotification"> <xsd:complexContent> <xsd:extension base="CorrectableRequestMessage"> <xsd:sequence> <xsd:choice> <xsd:element name="optionExpiry" type="OptionExpiryBase"/> <xsd:element name="tradeMaturity" type="TradeMaturity"/> </xsd:choice> <xsd:group ref="PartiesAndAccounts.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/11)
optionExpiry

  Type: | OptionExpiryBase, complex content

  XML Source (see within schema source)

  <xsd:element name="optionExpiry" type="OptionExpiryBase"/>

tradeMaturity

  Type: | TradeMaturity, complex content

  XML Source (see within schema source)

  <xsd:element name="tradeMaturity" type="TradeMaturity"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.